<tpl> if $product_array[0].p_id neq "" </tpl>
	<table width="100%" style="background-color:#FBFDFC; border:1px dashed #0099CC; margin-top:10px">
		<tpl> section name=loop loop=$product_array </tpl>
			<tr><td align="right" valign="top" style="padding-left:5px;" > <tpl> $smarty.section.loop.rownum </tpl>.</td>
			  <td align="left"><tpl> $product_array[loop].p_name </tpl></td><td width="100" align="center" valign="middle"><a href="javascript:;" onclick="check_repeat_id('<tpl> $product_array[loop].p_id </tpl>');">
			    <tpl> $langChannelSelect </tpl>
			  </a></td></tr><tpl> /section </tpl>
		<tr><td colspan="3" align="right" style="padding-right:5px;" ><tpl> $page_list </tpl></td>
		</tr><!--  -->
</table>
<tpl> /if </tpl>
<script>
//检测是否已经选择过了，如果有则报错
function check_repeat_id(id){
	var sign = true;
	$('#pro_list input[@type=text]').each(function(){
		if(this.name == "p_sort["+id+"]"){
			sign = false;
		}
	});
	if(sign == false){
		alert("<tpl> $langChannelListExistSelect </tpl>");
	}else{
		search_result_set(id);
	}
	return false;
}


//取商品信息
function search_result_set(id){
	/* 取表单参数 */$.ajax({
		url: "channel.manage.php",
		data: "action=product_search_info&p_id="+id,
		type:'post',
		dataType:"html",
		//beforeSubmit:  showLoading(showText), 提交之前执行的方法
		success: function(msg){
			//hideLoading();
			if(msg != ""){
				$('#pro_list').append(msg);
			}else{
				alert("<tpl> $langChannelIdErr </tpl>");
			}
		}
	});
	return false;
}
</script>